### Function

# ICalGLib Property kind_and_string_to_enum

since: 1.0

#### Declaration [src]

    gint
    i_cal_property_kind_and_string_to_enum (
      const gint kind,
      const gchar* str
    )

#### Description [src]

Converts an integer and string into an enum.

Available since: 1.0

#### Parameters

`kind`

  Type: `const gint`

  The kind.

`str`

  Type: `const gchar*`

  A string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gint`

The enum.